:root {
    --site-primary: rgb(218, 165, 32);
    --site-primary-initial-pulse: rgba(218, 165, 32, 0.6);
    --site-primary-active-pulse: rgba(218, 165, 32, 0.9);
    --site-primary-shadow: rgba(218, 165, 32, 0.7);
    --site-primary-bright: yellow;
    --site-secondary: navy;
    --site-secondary-initial-pulse: rgba(218, 165, 32, 0.6);
    --site-secondary-active-pulse: rgba(218, 165, 32, 0.9);
    --site-secondary-shadow: rgba(218, 165, 32, 0.7);
    --site-room1: dodgerblue;
    --site-room1-text: white;
    --site-room2: cornflowerblue;
    --site-room2-text: white;
    --site-room3: royalblue;
    --site-room3-text: white;
    --site-room4: rgb(2, 38, 148);
    --site-room4-text: white;
}

/* Index */
/* Style to create decorative box underneath navigation for index */
.headerBox {
    width: 95%;
    height: 5vh;
    position: relative;
    z-index: 0;
    border-radius: 25px;
    margin-bottom: 50px;
}

.headerRow {
    margin-top: 0rem !important;
}

/* Style to position logo under navigation for index */
.mainLogo {
    position: absolute;
    
    /* Horizontal Centering */
    left: 50%;
    transform: translateX(-50%);
    
    /* Vertical Floating */
    top: -40px;
    width: 250px;
    height: 103px;
    z-index: 10; /* Ensure it stays above the box borders */
}

/* Desktop: */
@media (min-width: 550px) {
    .mainLogo {
        width: 600px;
        height: 300px;
        top: -100px;
    }

    .headerBox {
        width: 95%;
        height: 10vh;
        position: relative;
        z-index: 0;
        border-radius: 25px;
        margin-bottom: 100px;
    }

    .headerRow {
        margin-top: 3rem !important;
    }
}
